# SIPDialogNotification Struct Reference

`#include <handlers.h>`

Collaboration diagram for SIPDialogNotification:

[legend]

## Public Types

| RenderingUnknown = -1
| NotRenderingMedia
| RenderingMedia
enum | Rendering { RenderingUnknown = -1, NotRenderingMedia, RenderingMedia }

## Public Member Functions

| PCLASSINFO (SIPDialogNotification, PObject)
| P_DECLARE_ENUM (States, Terminated, Trying, Proceeding, Early, Confirmed)
PString | GetStateName () const
| P_DECLARE_ENUM_EX (Events, NumEvents, NoEvent,-1, Cancelled, Rejected, Replaced, LocalBye, RemoteBye, Error, Timeout)
PString | GetEventName () const
| SIPDialogNotification (const PString &entity=PString::Empty())
void | PrintOn (ostream &strm) const

## Static Public Member Functions

static PString | GetStateName (States state)
static PString | GetEventName (Events state)

## Data Fields

PString | m_entity
PString | m_dialogId
PString | m_callId
bool | m_initiator
States | m_state
Events | m_eventType
unsigned | m_eventCode
SIPDialogNotification::Participant | m_local
SIPDialogNotification::Participant | m_remote

## Data Structures

struct | Participant

## Detailed Description

Information for SIP "dialog" event package notification messages.

## Member Enumeration Documentation

enum SIPDialogNotification::Rendering

Enumerator:

  RenderingUnknown |
  NotRenderingMedia |
  RenderingMedia |

## Constructor & Destructor Documentation

SIPDialogNotification::SIPDialogNotification | ( | const PString & | entity = `PString::Empty()` | ) |

## Member Function Documentation

PString SIPDialogNotification::GetEventName | ( |  | ) | const`[inline]`

static PString SIPDialogNotification::GetEventName | ( | Events | state | ) | `[static]`

PString SIPDialogNotification::GetStateName | ( |  | ) | const`[inline]`

static PString SIPDialogNotification::GetStateName | ( | States | state | ) | `[static]`

SIPDialogNotification::P_DECLARE_ENUM | ( | States | ,
|  | Terminated | ,
|  | Trying | ,
|  | Proceeding | ,
|  | Early | ,
|  | Confirmed |  |
| ) |  |  |

SIPDialogNotification::P_DECLARE_ENUM_EX | ( | Events | ,
|  | NumEvents | ,
|  | NoEvent | ,
|  | - | 1,
|  | Cancelled | ,
|  | Rejected | ,
|  | Replaced | ,
|  | LocalBye | ,
|  | RemoteBye | ,
|  | Error | ,
|  | Timeout |  |
| ) |  |  |

SIPDialogNotification::PCLASSINFO | ( | SIPDialogNotification | ,
|  | PObject |  |
| ) |  |  |

void SIPDialogNotification::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

PString SIPDialogNotification::m_callId

PString SIPDialogNotification::m_dialogId

PString SIPDialogNotification::m_entity

unsigned SIPDialogNotification::m_eventCode

Events SIPDialogNotification::m_eventType

bool SIPDialogNotification::m_initiator

struct SIPDialogNotification::Participant SIPDialogNotification::m_local

struct SIPDialogNotification::Participant SIPDialogNotification::m_remote

States SIPDialogNotification::m_state

The documentation for this struct was generated from the following file:

- handlers.h